Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360194 - journal disk become the first of --detail list after failed/remove one disk
Summary: journal disk become the first of --detail list after failed/remove one disk
Keywords:
Status: ASSIGNED
Alias: None
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: mdadm
Version: 7.3
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: rc
: ---
Assignee: XiaoNi
QA Contact: ChanghuiZhong
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-26 08:19 UTC by Zhang Yi
Modified: 2019-02-20 02:47 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Comment 2 Jes Sorensen 2016-08-03 13:34:33 UTC
Yi,

This sounds like a problem that is also present upstream. Did you try out
the latest git version of mdadm?

Did you report it upstream?

If I read your report correctly, this is mostly a cosmetic issue?

Thanks,
Jes

Comment 3 Zhang Yi 2016-08-04 11:31:51 UTC
(In reply to Jes Sorensen from comment #2)
> Yi,
> 
> This sounds like a problem that is also present upstream. Did you try out
> the latest git version of mdadm?
> 
> Did you report it upstream?
> 
> If I read your report correctly, this is mostly a cosmetic issue?
> 
> Thanks,
> Jes

Hi Jes
It's just one --detail display issue, [1] has been merged to move the journal disk to end, but I found it can move to the first after I fail/remove on disk.
I have reported this to upstream[2].

[1]
commit 6fe4c6160399c94a15eda6092371e0ac9a38a4bc
Author: Song Liu <songliubraving@fb.com>
Date:   Mon Dec 21 11:23:41 2015 -0800

    move journal to end of --detail list

[2]
http://marc.info/?l=linux-raid&m=147030951005465&w=4

Comment 4 Jes Sorensen 2016-08-04 11:44:02 UTC
Thanks for the clarification - I am going to lower priority on this one since
it's a cosmetic issue and not a showstopper.

Cheers,
Jes


Note You need to log in before you can comment on or make changes to this bug.